Name:           lxqt-admin
Version:        2.2.0
Release:        %mkrel 1
Summary:        Adjust settings of the operating system LXQt
Group:          Graphical desktop/Other
License:        LGPLv2+
URL:            https://lxqt-project.org/
Source:         https://github.com/lxqt/lxqt-admin/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  cmake(PolkitQt6-1)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Help)

%description
Much like similar tools provided by lxqt-config the tools of
lxqt-admin can be launched from the Configuration Center as well
as from the panel's main menu - Preferences - LXQt settings.

The provided modules are:
- Time and date configuration
- User and Group Settings

%prep
%autosetup -p1

# FIXME: remove bogus desktop translation
rm -f lxqt-admin-time/translations/lxqt-admin-time_ja.desktop

%build
%cmake \
    -DUPDATE_TRANSLATIONS=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/polkit-1/actions/org.lxqt.lxqt-admin-user.policy
%{_datadir}/lxqt/translations/lxqt-admin-time/
%{_datadir}/lxqt/translations/lxqt-admin-user/


%changelog
* Tue Apr 22 2025 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2178216
- new version 2.2.0

* Tue Nov 05 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2112535
- New version 2.1.0

* Sat May 18 2024 papoteur <papoteur> 2.0.0-2.mga10
+ Revision: 2064773
- rebuild to fix signal connection (mga#33194)

* Thu Apr 18 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2058852
- new version 2.0.0
- switch to Qt6

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004749
- new version 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953173
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-3.mga9
+ Revision: 1938809
- rebuild for compilation with C++17 standard

* Sat Jan 07 2023 wally <wally> 1.2.0-2.mga9
+ Revision: 1930916
- build using %%cmake macro

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904189
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853301
- Release 1.1.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845281
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761575
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716044
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658991
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643176
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571808
- New version 0.15.0

* Sat Feb 15 2020 daviddavid <daviddavid> 0.14.1-3.mga8
+ Revision: 1525740
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383239
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380873
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361446
- conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361347
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-4.mga7
+ Revision: 1345469
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-3.mga7
+ Revision: 1299403
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-2.mga7
+ Revision: 1236012
- New version 0.13.0

* Thu Dec 14 2017 dglent <dglent> 0.12.0-1.mga7
+ Revision: 1182525
- imported package lxqt-admin

